Name:      xmlrpc-epi
Version:   0.54.2
Release:   1%{?dist}
Summary:   An implementation of the XML-RPC protocol in C
Group:     System Environment/Libraries
License:   MIT
URL:       http://xmlrpc-epi.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:    0000-fix-printf-formatting-security.patch
BuildRequires: expat-devel

%description
An implementation of the XML-RPC protocol in C.

%package  devel
Summary:  Development files for xmlrpc-epi
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The xmlrpc-epi-devel package contains libraries and header files for
developing applications that use xmlrpc-epi.

%prep
%setup -q

%patch0 -p1 -b .fix-printf-formatting-security

%build
%configure --disable-static --includedir=%{_includedir}/xmlrpc-epi
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

# Remove the sample test tools
rm -r %{buildroot}%{_bindir}

rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/libxmlrpc-epi.so.0*

%files devel
%{_includedir}/xmlrpc-epi
%{_libdir}/libxmlrpc-epi.so

%changelog
* Sat Jul 19 2014 Shawn Starr <shawn.starr@rogers.com> - 0.54.2-1
- Un-orphan package, update to latest release, fix compile issues
- Fix up spec from initial review

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.54.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.54.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 20 2010 Bryan O'Sullivan <bos@serpentine.com> 0.54.1-2
- A few small changes requested during packaging review for bz 539388.

* Thu Nov 19 2009 Bryan O'Sullivan <bos@serpentine.com> 0.54.1-1
- Initial build of 0.54.1, based on Callum Lerwick's abandoned spec
  file from a few years ago.
